Please help us to make AbanteCart Ideal Open Source Ecommerce Solution for everyone.

Support AbanteCart eCommerce

Author Topic: After upgrade to 1.2.14 my site can no longer process orders  (Read 404 times)

Offline atmosman

  • Newbie
  • *
  • Posts: 28
  • Karma: +1/-0
    • View Profile
After upgrade to 1.2.14 my site can no longer process orders
« on: April 07, 2019, 06:06:03 PM »
Here is the error log from when a customer tried to place an order. Also all my inventory in now 0 and can not be updates. I also can not add a new Stock Location. Click the + and it just sits there doing nothing. 
2019-04-07 18:35:35 - database error: AbanteCart core v.1.2.14 Cannot establish database connection. Check your database connection settings. in <b>/home/atmostoo/public_html/core/database/amysqli.php</b> on line <b>51</b>
2019-04-07 19:52:16 - warning: AbanteCart core v.1.2.14 array_key_exists() expects parameter 2 to be array, null given in <b>/home/atmostoo/public_html/extensions/usps_integration/core/lib/order_manager.php</b> on line <b>282</b>
2019-04-07 19:52:23 - warning: AbanteCart core v.1.2.14 array_key_exists() expects parameter 2 to be array, null given in <b>/home/atmostoo/public_html/extensions/usps_integration/core/lib/order_manager.php</b> on line <b>282</b>
2019-04-07 19:52:38 - warning: AbanteCart core v.1.2.14 array_key_exists() expects parameter 2 to be array, null given in <b>/home/atmostoo/public_html/extensions/usps_integration/core/lib/order_manager.php</b> on line <b>282</b>
2019-04-07 19:53:03 - warning: AbanteCart core v.1.2.14 array_key_exists() expects parameter 2 to be array, null given in <b>/home/atmostoo/public_html/extensions/usps_integration/core/lib/order_manager.php</b> on line <b>282</b>
2019-04-07 19:53:07 - warning: AbanteCart core v.1.2.14 array_key_exists() expects parameter 2 to be array, null given in <b>/home/atmostoo/public_html/extensions/usps_integration/core/lib/order_manager.php</b> on line <b>282</b>

Offline atmosman

  • Newbie
  • *
  • Posts: 28
  • Karma: +1/-0
    • View Profile
Re: After upgrade to 1.2.14 my site can no longer process orders
« Reply #1 on: April 07, 2019, 07:21:01 PM »
 I've figured out the + symbol is to at the All States option then add the quantity.   The problem is now that it updates everything to that same quantity and if you try and change it in the quantity field everything goes back to 0.
« Last Edit: April 07, 2019, 07:24:00 PM by atmosman »

Offline Basara

  • Administrator
  • Hero Member
  • *****
  • Posts: 4137
  • Karma: +202/-0
    • View Profile
Re: After upgrade to 1.2.14 my site can no longer process orders
« Reply #2 on: April 08, 2019, 01:08:32 AM »
Hello.
It is known issue with 1.2.14 and it is already fixed.
You can apply files change from this upgade archive https://github.com/abantecart/abantecart-src/releases/download/1.2.14/abantecart_1.2.14_upgrade_only.tar.gz

or even better to grab files change from 1.2.15
https://github.com/abantecart/abantecart-src/archive/1.2.15.zip
“Chuck Norris is so amazing.”
― Mother Teresa

Offline atmosman

  • Newbie
  • *
  • Posts: 28
  • Karma: +1/-0
    • View Profile
Re: After upgrade to 1.2.14 my site can no longer process orders
« Reply #3 on: April 08, 2019, 08:49:18 AM »
"or even better to grab files change from 1.2.15"  Is this an upgrade I do manually through Abantecart or do I just upload these files and skip the install program?


Offline llegrand

  • Hero Member
  • *****
  • Posts: 1441
  • Karma: +372/-2
    • View Profile
Re: After upgrade to 1.2.14 my site can no longer process orders
« Reply #4 on: April 08, 2019, 11:03:32 AM »
We have added the files to be changed into our Patch files in our extension manuals.  This should make it easier for admins to update.
It is located here:https://abantecartextensions.com/docs/patch
Look for:
2. AbanteCart v1.2.14 product location files
As stated we have confirmed this files fix the zeroing of all product quantities on global save and also the location is not required for track set to on. 

Lee (Why2)

Offline user88

  • Jr. Member
  • **
  • Posts: 58
  • Karma: +10/-0
    • View Profile
    • Support your True Self
Re: After upgrade to 1.2.14 my site can no longer process orders
« Reply #5 on: April 13, 2019, 08:24:30 PM »
If I upgrade now from 1.2.13 to 1.2.14... would I still have to add the patch files to the upgrade for it to work?

Offline llegrand

  • Hero Member
  • *****
  • Posts: 1441
  • Karma: +372/-2
    • View Profile
Re: After upgrade to 1.2.14 my site can no longer process orders
« Reply #6 on: April 13, 2019, 09:36:07 PM »
yes,  the patch files are from the devs work for 1.2.15  and fixes the issues in the new feature Locations in AbanteCart v 1.2.14. They fix the issues with the save changing all quantities to zero, now track set to yes does not require a location to work, and other minor fixes.   And fix return stock on order edit. Added files to fix out of stock options on without trackable options.

We've simply made it easier to access them,  and determine where they need to be uploaded to.  You can search thru the fixes on github and extract them there also.

You should replace the files AFTER your upgrade ,  but BEFORE you work on any product pages - as the first save will revert all your quantities to zero.

One other thing - some admins are having issues with the upgrade due to the database prefix -  if you get an sql error or are missing the product stock location table -  please refer to this forum post 
http://forum.abantecart.com/index.php/topic,7603.msg30846.html#msg30846


The Support Team
at We Hear You 2, Inc.  (Why2)

Offline user88

  • Jr. Member
  • **
  • Posts: 58
  • Karma: +10/-0
    • View Profile
    • Support your True Self
Re: After upgrade to 1.2.14 my site can no longer process orders
« Reply #7 on: April 14, 2019, 04:21:24 PM »
Seems like I should wait until 1.2.15 is ready. Would I still be able to upgrade via the admin from 1.2.13 to 1.2.15 or would this require a manual upgrade because I skipped the upgrade to 1.2.14?

Offline llegrand

  • Hero Member
  • *****
  • Posts: 1441
  • Karma: +372/-2
    • View Profile
Re: After upgrade to 1.2.14 my site can no longer process orders
« Reply #8 on: April 14, 2019, 05:54:48 PM »
That is an unknown currently for me.   But our first testing would be to go from 1.2.13  to 1.2.14 and then to 1.2.15  and see if all the necessary tables,  files etc are correct compared to a virgin 1.2.15.   

Upgrading in the standard manner is usually preferred  and theoretically at this time  should be fine.  As you indicate you can not jump versions except by manually intervention.

Not knowing what else you may have on your setup like extensions from the MarketPlace  it is not correct for us to guide you.
Do remember if you have MarketPlace extensions  you should check to see if they have been brought up to support the AbanteCart version you are upgrading to  BEFORE you do your upgrade.   For us at WHY2  it has been quite problematic updating our many extensions for 1.2.14  due to all the issues with the new locations feature and needed all the files changes.


The Support Team
at We Hear You 2, Inc.  (Why2)


Offline user88

  • Jr. Member
  • **
  • Posts: 58
  • Karma: +10/-0
    • View Profile
    • Support your True Self
Re: After upgrade to 1.2.14 my site can no longer process orders
« Reply #9 on: April 15, 2019, 05:27:48 PM »
Thank you very much for all the info.

This seems a little bit too time consuming and complicated for me. I may end up staying with 1.2.13... and then perhaps making a fresh install of a version that works ok and populated it with a backup file of my store.

Offline Imran Beig

  • Newbie
  • *
  • Posts: 2
  • Karma: +1/-1
    • View Profile
Re: After upgrade to 1.2.14 my site can no longer process orders
« Reply #10 on: April 23, 2019, 08:25:00 AM »
After i applied the 0f V1.2.15 to fix the stock bug i have lost my whole website. Its like a fresh installation. is there a way i can pull my website data or reverse the installation.

Please help me i had uploaded more than 500 products and installed local payment system.

Thanks,
Imran

Offline hani

  • Jr. Member
  • **
  • Posts: 83
  • Karma: +9/-1
    • View Profile
Re: After upgrade to 1.2.14 my site can no longer process orders
« Reply #11 on: May 06, 2019, 05:46:21 AM »
possibly that the website data is not lost, check your database if they are filled with the data or possibly that a new database was created when you installed version 1.2.15 and there is another database that still has the data.

Check databases in your PHPMYADMIN

 

Powered by SMFPacks Social Login Mod